/*
 * @Author: renxin renxin0828@163.com
 * @Date: 2023-06-07 15:57:14
 * @LastEditors: renxin renxin0828@163.com
 * @LastEditTime: 2023-06-07 18:43:14
 * @FilePath: \yx-big-screen\src\api\map\getData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { defHttpFun } from '/@/utils/http/axios';
const sendSet = { joinPrefix: false, apiUrl: '' };
import { getJwtToken } from '/@/utils/auth';
import { useGlobSetting } from '/@/hooks/setting';

const globSetting = useGlobSetting();
/**
 * 视图新增
 * @param params新增信息
 */
export function addViewInfo(params) {
  return defHttpFun(sendSet).post({ url: '/yxBase/dpviews', data: params });
}

/**
 * 获取所有的视图数据
 *
 */
export function getViewInfo(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/dpviews/page', params: params });
}

/**
 * 视图删除
 * @param data {id:id} 删除的id
 */
export function deleteViewInfo(data) {
  defHttpFun(sendSet).delete({ url: '/yxBase/dpviews/' + data.id, data: { id: data.id } });
}

/**
 * 获取所有的地点信息
 *
 */
export function getLocalInfo(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/largescreen/getCoordinateInfoViewPage', params: params });
}

/**
 * 获取所有的地点信息
 *
 */
export function getTotalLocalInfo(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/largescreen/getCoordinateInfoViewTotal', params });
}

/**
 * 获取多源数据
 *
 */
export function getSourceInfo(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/dzsbsjjr/page', params });
}

/**
 * 获取河段数据
 *
 */
export function getRiverInfo(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/hdinfo/page', params });
}

/**
 * 通过Id获取河段数据
 *
 */
export function getRiverInfoById(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/hdinfo/' + params.id });
}

/**
 * 通过Id获取工程信息方案
 *
 */
export function getIngenieurInformatikDetails(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/gcfainfo/' + params.id });
}

/**
 * 通过Id获取工程信息方案
 *
 */
export function getdictItemInfo(data) {
  return defHttpFun(sendSet).post({ url: '/api/yt/dict_item/find', data });
}

/**
 * 通过Id获取工程信息方案
 *
 */
export function getDzFileInfo(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase/file/page', params });
}

/**
 * 通过Id获取工程信息方案
 *
 */
export function getloadImg(data) {
  return  globSetting.uploadUrl+"/yxBase/file/loadImg?access_token="+getJwtToken()+"&remotePath="+data
}

/**
 * 通过Id获取工程信息方案
 *
 */
export function getloadFile(data) {
  return  globSetting.uploadUrl+"/yxBase/file/downloadFile?access_token="+getJwtToken()+"&remotePath="+data
}

/**
 * 获取工程信息
 *
 */
export function getGcBaseinfoList(params) {
  return defHttpFun(sendSet).get({ url: '/yxBase//gcbaseinfo/getGcBaseinfoList', params });
}

